Bug 1183255 - Review Request: perl-Crypt-Random-Seed - Simple method to get strong randomness
Summary: Review Request: perl-Crypt-Random-Seed - Simple method to get strong randomness
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1183218
Blocks: 1183258
TreeView+ depends on / blocked
 
Reported: 2015-01-17 19:52 UTC by David Dick
Modified: 2015-04-17 18:19 UTC (History)
2 users (show)

Fixed In Version: perl-Crypt-Random-Seed-0.03-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-15 03:05:22 UTC
paul: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description David Dick 2015-01-17 19:52:21 UTC
Spec URL: https://ddick.fedorapeople.org/packages/perl-Crypt-Random-Seed.spec
SRPM URL: https://ddick.fedorapeople.org/packages/perl-Crypt-Random-Seed-0.03-1.fc20.src.rpm
Description: Simple method to get strong randomness
Fedora Account System Username: ddick

Comment 1 Paul Howarth 2015-01-28 09:39:48 UTC
rpmlint output
==============
perl-Crypt-Random-Seed.noarch: W: spelling-error %description -l en_US cryptographic -> cryptography, cryptographer, crystallographic
perl-Crypt-Random-Seed.src: W: spelling-error %description -l en_US cryptographic -> cryptography, cryptographer, crystallographic
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

requires
========
perl(:MODULE_COMPAT_5.20.1)
perl(Carp)
perl(Exporter)
perl(Fcntl)
perl(base)
perl(constant)
perl(strict)
perl(warnings)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

provides
========
perl(Crypt::Random::Seed) = 0.03
perl-Crypt-Random-Seed = 0.03-1.fc22

checklist
=========
- rpmlint OK
- package and spec file naming OK
- package meets guidelines
- license is same as perl, OK for Fedora, matches upstream
- license text is packaged with %license
- spec file written in English and is legible
- source matches upstream, including timestamp
- package builds OK in mock for Rawhide x86_64
- buildreqs OK
- no locales, libraries etc. to be concerned about
- no intention for the package to be relocatable
- directory ownership and permissions OK
- no duplicate files
- macro usage is consistent
- code, not content
- no large docs, docs don't affect runtime
- not a GUI app, no desktop file needed
- filenames are all ASCII

notes
=====
Consider adding runtime dependencies on perl(Crypt::Random::TESHA2)
and perl(IO::Socket) to support non-default entropy sources.

Package APPROVED.

Comment 2 David Dick 2015-01-28 09:48:30 UTC
Agreed. Will do. Thanks Paul.

New Package SCM Request
=======================
Package Name: perl-Crypt-Random-Seed
Short Description: Simple method to get strong randomness
Upstream URL: http://search.cpan.org/dist/Time-TAI64/
Owners: ddick
Branches: f20, f21, el6, epel7
InitialCC: perl-sig

Comment 3 Gwyn Ciesla 2015-01-28 11:54:54 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2015-02-03 05:39:39 UTC
perl-Crypt-Random-Seed-0.03-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Crypt-Random-Seed-0.03-1.fc20

Comment 5 Fedora Update System 2015-02-03 05:40:12 UTC
perl-Crypt-Random-Seed-0.03-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/perl-Crypt-Random-Seed-0.03-1.fc21

Comment 6 Fedora Update System 2015-02-04 07:57:18 UTC
perl-Crypt-Random-Seed-0.03-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 7 Fedora Update System 2015-02-15 03:05:22 UTC
perl-Crypt-Random-Seed-0.03-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 8 Fedora Update System 2015-02-15 03:22:46 UTC
perl-Crypt-Random-Seed-0.03-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 9 Fedora Update System 2015-03-08 23:24:25 UTC
perl-Crypt-Random-Seed-0.03-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Crypt-Random-Seed-0.03-1.el6

Comment 10 Fedora Update System 2015-03-28 02:21:29 UTC
perl-Crypt-Random-Seed-0.03-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-Crypt-Random-Seed-0.03-1.el7

Comment 11 Fedora Update System 2015-03-28 18:39:23 UTC
perl-Crypt-Random-Seed-0.03-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 12 Fedora Update System 2015-04-17 18:19:36 UTC
perl-Crypt-Random-Seed-0.03-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.